Subject: Re: bug#40665: 28.0.50; tls hang on local ssl

From: Derek Zhou <[email-masked]>
Date: Mon, 03 Aug 2020 13:57:00 +0000 (UTC)

Robert Pluim writes:

>>>>>> On Mon, 03 Aug 2020 07:58:31 +0200, Lars Ingebrigtsen <[email-masked]> said:
>
>     Lars> Lars Ingebrigtsen <[email-masked]> writes:
>     >> I think the reasoning sounds correct, and I'm now testing it in this
>     >> Emacs, and I'm not seeing any regressions.
>     >> 
>     >> I'll test it a bit more, and if I can find no problems, I'll apply your
>     >> patch to Emacs 28.
>
>     Lars> This patch also seems to fix a long-standing problem in Gnus where
>     Lars> several simultaneous TLS connections would make Gnus hang.
>
>     Lars> I've now applied it to Emacs 28.1.  If no problems crop up in Emacs
>     Lars> 28.1, we should consider cherry-picking it for Emacs 27.2.
>
> Thanks Lars. It was on my list, but that list is only getting longer
> at the moment.
>
Yeah, life is tough fixing bug when bug reports just keep coming. I
kinda sense that emacs could use a more sofisticated bug tracker, like
gitlab? redmine? bugzilla? sourcehut? 

Derek